<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/item_root"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">


    <ImageView
        android:id="@+id/iv_bg"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:scaleType="fitXY" />

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="6dp"
            android:layout_marginTop="10dp"
            android:layout_marginRight="6dp">

            <com.hh.arome.view.CurrentTimeView
                android:id="@+id/current_time_view"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content" />


            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/tv_net_no"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginRight="8dp"
                    android:text="无网络"
                    android:textColor="@color/black"
                    android:textSize="17sp" />

                <ImageView
                    android:id="@+id/iv_net_wifi"
                    android:layout_width="20dp"
                    android:layout_height="20dp"
                    android:layout_gravity="center_vertical"
                    android:layout_marginRight="8dp"
                    android:src="@mipmap/ic_net_wifi_1x" />

                <ImageView
                    android:id="@+id/iv_net_flow"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginRight="8dp"
                    android:src="@mipmap/ic_net_flow" />

                <ImageView
                    android:id="@+id/iv_net_line"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginRight="8dp"
                    android:src="@mipmap/ic_net_line" />


                <ImageView
                    android:id="@+id/iv_setting"
                    android:layout_width="20dp"
                    android:layout_height="20dp"
                    android:layout_gravity="center_vertical"
                    android:src="@mipmap/ic_setting_1x" />


            </LinearLayout>


        </RelativeLayout>


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="100dp"
            android:orientation="vertical">


            <ImageView
                android:layout_width="180dp"
                android:layout_height="180dp"
                android:layout_gravity="center_horizontal"
                android:src="@mipmap/ic_main_logo"
                android:visibility="invisible" />

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:src="@mipmap/ic_main_loading_text"
                android:visibility="invisible" />

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="10dp"
                android:layout_marginRight="20dp"
                android:src="@mipmap/ic_main_loading_line"
                android:visibility="invisible" />


            <TextView
                android:id="@+id/tv_enter_applet"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="50dp"
                android:background="@drawable/shape_solid_gray_25396b_corner_20"
                android:paddingLeft="25dp"
                android:paddingTop="9dp"
                android:paddingRight="25dp"
                android:paddingBottom="9dp"
                android:text="点击进入"
                android:textColor="@color/white"
                android:textSize="34sp" />

            <TextView
                android:id="@+id/tv_applet_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="20dp"
                android:text="名称"
                android:textColor="@color/black"
                android:textSize="17sp" />


        </LinearLayout>


        <!-- 测试按钮begin -->
        <LinearLayout
            android:id="@+id/item_btn_test"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:visibility="gone">

            <Button
                android:id="@+id/tv_voice"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp"
                android:text="播放语音" />

            <Button
                android:id="@+id/tv_print"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp"
                android:text="打印" />

            <Button
                android:id="@+id/tv_record_start"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp"
                android:text="录音"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <Button
                android:id="@+id/tv_record_stop"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp"
                android:text="停止录音"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent" />


            <Button
                android:id="@+id/tv_exit"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:text="退出"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <ImageView
                    android:id="@+id/iv_test"
                    android:layout_width="40dp"
                    android:layout_height="40dp" />

                <TextView
                    android:id="@+id/tv_idcard_info"
                    android:layout_width="wrap_content"
                    android:layout_height="100dp" />


            </LinearLayout>


            <Button
                android:id="@+id/tv_init_scan"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="刷脸初始化"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <Button
                android:id="@+id/tv_scan"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="刷脸"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent" />


            <TextView
                android:id="@+id/tv_scan_result"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="刷脸结果"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent" />


            <Button
                android:id="@+id/tv_idcard"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="刷身份证"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent" />


            <Button
                android:id="@+id/tv_idcard_jump"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="跳转刷身份证"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <Button
                android:id="@+id/tv_qr"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="二维码"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent" />


            <Button
                android:id="@+id/tv_logcat"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="logcat日志"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <Button
                android:id="@+id/tv_error"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="error日志"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <Button
                android:id="@+id/tv_crash"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="crash日志"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent" />


            <Button
                android:id="@+id/tv_send_message"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="发送消息"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

        </LinearLayout>
        <!-- 测试按钮end -->

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_marginLeft="10dp"
            android:layout_marginBottom="4dp"
            android:orientation="vertical">


            <TextView
                android:id="@+id/tv_config_status"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_gravity="center"
                android:layout_marginBottom="10dp"
                android:text="状态：网络连接中"
                android:textColor="@color/black"
                android:textSize="12sp" />


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">


                <TextView
                    android:id="@+id/tv_version"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:text="版本号"
                    android:textColor="@color/black"
                    android:textSize="12sp" />

                <TextView
                    android:id="@+id/tv_sn"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="12dp"
                    android:text="sn号"
                    android:textColor="@color/black"
                    android:textSize="12sp" />
            </LinearLayout>

        </LinearLayout>

    </RelativeLayout>
</FrameLayout>